use 5.006;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME               => 'check_mount',
    AUTHOR             => 'Tom Ryder <tom@sanctum.geek.nz>',
    VERSION_FROM       => 'libexec/check_mount',
    LICENSE            => 'MIT',
    INSTALLSCRIPT      => '/usr/local/nagios/libexec',
    INSTALLSITESCRIPT  => '/usr/local/nagios/libexec',
    EXE_FILES          => ['libexec/check_mount'],
    MIN_PERL_VERSION   => '5.010_001',
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => '0',
    },
    PREREQ_PM => {
        'English'            => 0,
        'Exception::Class'   => 0,
        'Monitoring::Plugin' => 0,
        'Path::Tiny'         => 0,
        'Quota'              => 0,
        'Try::Tiny'          => 0,
    },
    META_MERGE => {
        'meta-spec' => { version => 2 },
        resources   => {
            homepage   => 'https://sanctum.geek.nz/cgit/check_mount.git/',
            repository => {
                type => 'git',
                url  => 'https://sanctum.geek.nz/code/check_mount.git/',
                web  => 'https://sanctum.geek.nz/cgit/check_mount.git/',
            },
        },
    },
    clean => { FILES => 'check_mount-*' },
);
